apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: traccar
  name: traccar
spec:
  replicas: 1
  selector:
    matchLabels:
      app: traccar
  strategy: {}
  template:
    metadata:
      labels:
        app: traccar
    spec:
      containers:
        - image: docker.io/traccar/traccar:5.9-alpine
          name: traccar
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 8082
              protocol: TCP
              name: http
            - containerPort: 5027
              protocol: TCP
              name: teltonika
            - containerPort: 5055
              protocol: TCP
              name: traccar
            - containerPort: 5144
              protocol: TCP
              name: owntracks
          volumeMounts:
            - name: config
              mountPath: /opt/traccar/conf/traccar.xml
              subPath: traccar.xml
            - name: logs
              mountPath: /opt/traccar/logs
          resources: {}
      volumes:
        - name: config
          configMap:
            name: traccar-config
        - name: logs
          emptyDir: {}
